Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class PdsDirectory.MemberInfo

    java.lang.Object
      com.ibm.jzos.PdsDirectory.MemberInfo

Enclosing class:
  PdsDirectory

    public static class PdsDirectory.MemberInfo

extends java.lang.Object

A static inner class of PdsDirectory which defines/maps a member directory entry.

Nested Class Summary
`class` | `PdsDirectory.MemberInfo.Statistics` A nested inner class of MemberInfo which defines/maps ISPF directory entry statistics.

Constructor Summary
`PdsDirectory.MemberInfo(byte[] bytes, int offset)` Construct a MemberInfo object on bytes read from a PDS directory block at a given offset.

Method Summary
`java.lang.String` | `getName()` Answer a String containing the 1-8 character member name (blanks trimmed)
`PdsDirectory.MemberInfo.Statistics` | `getStatistics()` Answer SPF statistics from the member's userdata.
`byte[]` | `getTTR()` Answer a byte array containing the TTR field of the directory entry (track/record address of member on disk)
`byte[]` | `getUserData()` Answer a byte array containing raw user data from the member
`boolean` | `isAlias()` Answer true if the member is an alias, false otherwise
`java.lang.String` | `toString()` Answer a String representation of the receiver, which includes the member name and ISPF statistics (if present).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PdsDirectory.MemberInfo

    public PdsDirectory.MemberInfo(byte[] bytes,
                                   int offset)

  Construct a MemberInfo object on bytes read from a PDS directory block at a given offset. This constructor is normally only used by `PdsDirectory.iterator()`

Method Detail

### getName

    public java.lang.String getName()

  Answer a String containing the 1-8 character member name (blanks trimmed)

### isAlias

    public boolean isAlias()

  Answer true if the member is an alias, false otherwise

### getUserData

    public byte[] getUserData()

  Answer a byte array containing raw user data from the member

### getTTR

    public byte[] getTTR()

  Answer a byte array containing the TTR field of the directory entry (track/record address of member on disk)

### getStatistics

    public PdsDirectory.MemberInfo.Statistics getStatistics()

  Answer SPF statistics from the member's userdata.

  Returns:
    the SPF statistics. Returns null if statistics are not the expected size of SPF statistics.
  Throws:
    `RuntimeExeption` - if statistics are malformed or contain invalid data

### toString

    public java.lang.String toString()

  Answer a String representation of the receiver, which includes the member name and ISPF statistics (if present).

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD